MSP Site
2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getSiteList_1 | GET | Get msp site list |
| getTags_2 | GET | Get msp site tag list |
getSiteList_1
GET /openapi/v1/msp/{mspId}/sites
Get msp site list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.name | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field name |
filters.tag | query | string | no | Filter query parameters, support field tag ID |
filters.type | query | string | no | Filter query parameters, support field site type. 0: basic site; 1: pro site. |
json
// omada_call_operation
{
"operationId": "getSiteList_1"
}Details, permissions and error codes
Get msp site list
The interface requires one of the permissions:
MSP Site Manager View Only
getTags_2
GET /openapi/v1/msp/{mspId}/sites/tags
Get msp site tag list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
json
// omada_call_operation
{
"operationId": "getTags_2"
}Details, permissions and error codes
Get msp site tag list.
The interface requires one of the permissions:
MSP Site Manager View Only